For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
PricingJoin CommunityGet API Key
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
        • POSTCreate
        • GETList
        • PUTUpdate
  • Additional Resources
    • Try on Postman
LogoLogo
PricingJoin CommunityGet API Key
API ReferenceDubbingProjects

Update

PUT
https://api.murf.ai/v1/murfdub/projects/:project_id/update
PUT
/v1/murfdub/projects/:project_id/update
1from murf import MurfDub
2
3client = MurfDub(
4 api_key="YOUR_API_KEY",
5)
6
7client.dubbing.projects.update(
8 project_id="YourProjectID",
9 target_locales=["fr_FR", "de_DE", "es_ES"],
10)
1{
2 "project_id": "proj_1234567890abcdef",
3 "dubbing_type": "AUTOMATED",
4 "target_locales": [
5 "fr_FR",
6 "de_DE",
7 "es_ES"
8 ],
9 "name": "Corporate Training Video",
10 "description": "Localization project for Q2 training materials",
11 "source_locale": "en_US"
12}
Was this page helpful?
Previous

Changelog

Next
Built with

Path parameters

project_idstringRequired

Headers

api-keystringRequired
Your Dub API key

Request

This endpoint expects an object.
target_localeslist of stringsRequired
List of target locales

Response

Ok
project_idstring
Your Project Id
dubbing_typeenum
Dubbing Type
Allowed values:
target_localeslist of strings
List of target locales
namestring
Project Name
descriptionstring
source_localestring
Source Locale

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error